package com.hzy.project.business.invoice.service;

import java.util.List;
import com.hzy.project.business.invoice.domain.Invoice;

/**
 * 发票Service接口
 * 
 * @author ruoyi
 * @date 2026-01-02
 */
public interface IInvoiceService 
{
    /**
     * 查询发票
     * 
     * @param invoiceId 发票主键
     * @return 发票
     */
    public Invoice selectInvoiceByInvoiceId(Long invoiceId);

    /**
     * 查询发票列表
     * 
     * @param invoice 发票
     * @return 发票集合
     */
    public List<Invoice> selectInvoiceList(Invoice invoice);

    /**
     * 新增发票
     * 
     * @param invoice 发票
     * @return 结果
     */
    public int insertInvoice(Invoice invoice);

    /**
     * 修改发票
     * 
     * @param invoice 发票
     * @return 结果
     */
    public int updateInvoice(Invoice invoice);

    /**
     * 批量删除发票
     * 
     * @param invoiceIds 需要删除的发票主键集合
     * @return 结果
     */
    public int deleteInvoiceByInvoiceIds(String invoiceIds);

    /**
     * 删除发票信息
     * 
     * @param invoiceId 发票主键
     * @return 结果
     */
    public int deleteInvoiceByInvoiceId(Long invoiceId);
}
